
#include "AppEvent.Ch"
#include "DcCursor.Ch"
#include "DcDialog.Ch"
#include "DcPick.Ch"
#include "Xbp.Ch"
#include "XbpDev.Ch"

PROCEDURE Main( )

  LOCAL GetList := {}, GetOptions, oPickList, aAvailable, aSelected, aData

  DC_Gui(.t.)
  DC_SetKeyActive(.t.)

  aAvailable := { "TestA1", "TestA2", "TestA3", "TestA4", "TestA5" }
  aSelected  := { "TestS1", "TestS2" }
  aData      := { "Data01", "Data02", "Data03" }


  @  1.00, 1.00 DCPICKLIST aSelected   LIST aAvailable                                 SIZE  50.00,10.00 ;
					 COPYITEMS ;
					 IMMEDIATE ;
					 FONT "10.Arial" ;
					 ID "Get_PickList"      CAPTION "Available Groups", "Selected Groups"   OBJECT oPickList

  @ 12.00, 1.00 DCPUSHBUTTON           CAPTION "Populate"                              SIZE 10, 1 ;
                ACTION {|| Populate( @aSelected, aData, oPickList, GetList ) }


  DCGETOPTIONS ;
    CASCADE ;
	 NOSUPERVISE


  DCREAD GUI ;
         FIT ;
         OPTIONS GetOptions ;
         TITLE ' DCPickList() Test '

RETURN

*---

STATIC FUNCTION Populate( aSelected, aData, oPickList, GetList )

  LOCAL i

  FOR i := 1 TO Len(aData)
    AAdd(aSelected, aData[i])
  NEXT

  DC_VarToListBox(oPickList)
  DC_GetRefresh(GetList)

RETURN Nil

